Subject: [Cfrg] A new generalized version of SESPAKE RFC draft

From: "Stanislav V. Smyshlyaev" <[email-masked]>
Date: Thu, 5 May 2016 07:30:20 +0300

Dear colleagues,

we've updated the SESPAKE RFC draft (
https://datatracker.ietf.org/doc/draft-smyshlyaev-sespake/) to generalize
the protocol and to exclude strict conditions of GOST usage.

All our statements (posted by me previously to CFRG) about conformity of
SESPAKE to PAKE requirements remain true, as well as the full security
proof (http://eprint.iacr.org/2015/1237) – it is based only on the
conditions that the underlying primitives (hash function, elliptic curve,
HMAC) are secure (in the corresponding adversary models).

All test vectors remain based on GOST hash/HMAC and elliptic curves from RFC
7836 <https://tools.ietf.org/html/rfc7836>.

Thanks a lot to Jörn for his work on PAKE requirements RFC and for our
discussion – I hope, it helped to make both RFC drafts (PAKE requirements
and SESPAKE) better.

Best regards,

Stanislav